ASR_ind
# ***************************************************************************************************
# Supplementary Materials: An algorithm for genetic analysis of full-sib datasets with mixed model  *
# software lacking a pedigree function to equate male and female random effects.                    *
# Hodge, GR & Acosta, JJ (2020)                                                                     *
#                                                                                                   *
# ASR_ind.as: ASREML code for individual tree model with a normal full-sib dataset.                 *
# Code completes REML estimation of variance components, calculates genetic parameters, and         *
# predicts BV for parents and progeny, and full-sib family SCA effects.                             * 
# ***************************************************************************************************
# ASR_ind uses TreeID and Pedigree Structure for direct prediction of all BVs
# Must have the !AS qualifier so female and male random effects are recognized as the same parents
# Note that female and male are used to specify interactions with test and with each other.
 TreeID !P   8000
 female !A
 male !A     !AS female
 group !A
 test *
 rep *
 stvol

C:\MyFiles\FullSibBLUP_Example.csv !MAKE      !SKIP 1
C:\MyFiles\FullSibBLUP_Example.csv !DOPATH 10 !SKIP 1  !CSV  !WORKSIZE 6



# 10 FullSib data, Multiple site, one trait, Additive + AxE + SCA + SxE:  IndTree Model
# Note the use of "-male.test" to define that term.
# Note the use of "and(male.test)" to equate female.test and male.test.
!path 10
stvol ~ mu test rep.test !r TreeID female.test -male.test and(male.test),
                            female.male female.male.test

VPREDICT !DEFINE
F varadd  TreeID
F varfxe  female.test
F varsca  female.male
F vardom  varsca*4
F varsxe  female.male.test
F varerr  Residual
F varphen1  varadd + varsca + varfxe*2 + varsxe + varerr
F varphen2  TreeID + female.male + female.test*2 + female.male.test + Residual
F varaddaxe  varadd + varfxe*4
F varscasxe  varsca + varsxe
F varaddw   varadd*0.5
F vw     varerr + varadd*0.5
H herit  varadd varphen
H domin  vardom varphen
H rBg  varadd varaddaxe
H rBd  varsca varscasxe
H h2w  varaddw vw
S gcv  varadd
