ASR_parDouble
# ***************************************************************************************************
# Supplementary Materials: An algorithm for genetic analysis of full-sib datasets with mixed model  *
# software lacking a pedigree function to equate male and female random effects.                    *
# Hodge, GR & Acosta, JJ (2020)                                                                     *
#                                                                                                   *
# ASR_parDouble.as: ASREML code for parent model analysis with doubled dataset.                     *
# Code completes REML estimation of variance components, calculates genetic parameters, and         *
# predicts BV for parents and full-sib family SCA effects.                                          * 
# ***************************************************************************************************
# ASR_parDouble does not use the !AS qualifier to equate female and male random effects.
# This is done to investigate the impact of the doubled dataset.
# Note that there is no !P pedigree qualifier or file.
 TreeID !A    16000
 female !A
 male !A   #!AS female
 group !A
 test *
 rep *
 stvol

#C:\MyFiles\FullSibBLUP_ExampleDouble.csv !MAKE   !SKIP 1
C:\MyFiles\FullSibBLUP_Double_Example.csv !DOPATH 40  !SKIP 1 !CSV  !WORKSPACE 8
# FullSibBLUP_ExampleDouble is a modifed data set.
# All observations are in the dataset twice
# In the repeated observations, male and female are switched and TreeID is unique


# 40 FullSib data, Multiple site, one trait, GCA + SCA + GxE + SxE:  Parent Model
# without the !AS and !AND qualifyng statements, this estimates separate female and male vars
!path 40
stvol ~ mu test rep.test !r female male female.male,
           female.test male.test,
           female.male.test
VPREDICT !DEFINE
F vargca  female
F varadd  vargca*4
F varsca  female.male
F vardom  varsca*4
F vargxe  female.test
F varaxe  vargxe*4
F varsxe  female.male.test
F varerr  Residual
F varphen  vargca*2 + varsca + vargxe*2 + varsxe + varerr
F varphen2  female*2 + female.male + female.test*2 + female.male.test + Residual
F varphen3  female + male + female.male + female.test + male.test + female.male.test + Residual
F vargcagxe  vargca + vargxe
F varscasxe  varsca + varsxe
F varaddw    vargca*2
H herit  varadd varphen
H domin  vardom varphen
H rBg  vargca vargcagxe
H rBd  varsca varscasxe
H h2w  varaddw varerr
S gcv  varadd