ASR_parent
# ***************************************************************************************************
# Supplementary Materials: An algorithm for genetic analysis of full-sib datasets with mixed model  *
# software lacking a pedigree function to equate male and female random effects.                    *
# Hodge, GR & Acosta, JJ (2020)                                                                     *
#                                                                                                   *
# ASR_parent.as: ASREML code for parent model analysis with doubled dataset.                           *
# Code completes REML estimation of variance components, calculates genetic parameters, and         *
# predicts BV for parents and full-sib family SCA effects.                                          * 
# ***************************************************************************************************
# ASR_parent uses the !AS qualifier so female and male random effects are recognized as the same parents.
# Note that female and male are used to specify interactions with test and with each other.
# Note that the !P pedigree qualifier has been commented out and is inactive.
 TreeID #!P    8000
 female !A
 male !A    !AS female
 group !A
 test *
 rep *
 stvol

#C:\MyFiles\FullSibBLUP_Example.csv !MAKE       !SKIP 1
C:\MyFiles\FullSibBLUP_Example.csv !DOPATH 20  !SKIP 1  !CSV



# 20 FullSib data, Multiple site, one trait, GCA + SCA + GxE + SxE:  Parent Model
# Note the use of "and(male)" and to equate male and female effects.
# Note the use of "-male.test" to define that term.
# Note the use of "and(male.test)" to equate female.test and male.test.  
!path 20
stvol ~ mu test rep.test !r female and(male) female.male,
           female.test -male.test and(male.test),
           female.male.test

predict female
VPREDICT !DEFINE
F vargca  female
F varadd  vargca*4
F varsca  female.male
F vardom  varsca*4
F vargxe  female.test
F varaxe  vargxe*4
F varsxe  female.male.test
F varerr  Residual
F varphen  vargca*2 + varsca + vargxe*2 + varsxe + varerr
F varphen2  female*2 + female.male + female.test*2 + female.male.test + Residual
F vargcagxe  vargca + vargxe
F varscasxe  varsca + varsxe
F varaddw    vargca*2
H herit  varadd varphen
H domin  vardom varphen
H rBg  vargca vargcagxe
H rBd  varsca varscasxe
H h2w  varaddw varerr
S gcv  varadd